lensfun 0.2.8.0

- Main Page
- Related Pages
- Modules
- Classes
- Files
- Examples

Classes | Functions
Structures and functions for cameras

These structures and functions allow to define and examine the properties of a camera model. More...

## Classes
struct | lfCamera
| Camera data. More...

## Functions
lfCamera * | lf_camera_new ()
| Create a new camera object. More...
void | lf_camera_destroy (lfCamera *camera)
| Destroy a lfCamera object. More...
void | lf_camera_copy (lfCamera *dest, const lfCamera *source)
| Copy the data from one lfCamera structure into another. More...
cbool | lf_camera_check (lfCamera *camera)

## Detailed Description

These structures and functions allow to define and examine the properties of a camera model.

## Function Documentation

cbool lf_camera_check | ( | lfCamera * | camera | ) |

See Also
  lfCamera::Check

void lf_camera_copy | ( | lfCamera * | dest,
|  | const lfCamera * | source
| ) |  |

Copy the data from one lfCamera structure into another.

Parameters

  dest | The destination object
  source | The source object

See Also
  lfCamera::operator = (const lfCamera &)

void lf_camera_destroy | ( | lfCamera * | camera | ) |

Destroy a lfCamera object.

This is equivalent to C++ "delete camera".

Parameters

  camera | The camera object to destroy.

See Also
  lfCamera::~lfCamera

lfCamera* lf_camera_new | ( |  | ) |

Create a new camera object.

Returns
  A new empty camera object.

See Also
  lfCamera::lfCamera